/**
 * Wrightia, S.A. (c) 2006-2008
 * ----------------------------------------------------------------------------
 * Author       : Antnio Abreu
 * Creation Date: 26-SEP-2006
 * Purpose      : Generic client scripting functionality for IS environment.
 */

   mRowType="even";

   function write(text)
   /*****************************/{
      document.write(text);
   }

   function openTag_TD(styleSuffix, attributes, isNewRow)
   /*****************************/{
      if (isNewRow)
         if (mRowType == "even")
            mRowType = "odd";
         else
            mRowType = "even";

      if (styleSuffix != null)
         {
         write("<td class=\"");
         write(mRowType);
         write(styleSuffix + "\"");
         }
      else
         write("<td");

      if (attributes != null)
         for(var xIdx = 0; xIdx < attributes.length; xIdx++)
            write(" " + attributes[xIdx]);

      write(">");
   }

   function closeTag_TD()
   /*****************************/{
      write("</td>");
   }

   function writeTag_TD(value, styleSuffix, attributes, isNewRow)
   /*****************************/{
      openTag_TD(styleSuffix, attributes, isNewRow);
      write(value);
      closeTag_TD();
   }

   function getGaugeHTML(leftPercentage, barHeight)
   /*****************************/{
      var xLeftColor  = "6666cc";
      var xRightColor = "ffcc33";
      var xBarHeight  = 11;
      var xResult     = "<table cellspacing=\"0\" width=\"100%\">";

      if (barHeight)
         xBarHeight = barHeight;

      xResult += "<tr>";
      if (leftPercentage == 100)
         xResult += "<td width=\"100%\" bgcolor=\"#" + xLeftColor + "\" height=\"" + xBarHeight + "\" colspan=\"2\"></td>";
      else if (leftPercentage > 0)
         {
         xResult += "<td width=\"" + leftPercentage + "%\" bgcolor=\"#" + xLeftColor + "\" height=\"" + xBarHeight + "\"></td>";
         xResult += "<td width=\"" + (100 - leftPercentage) + "%\" bgcolor=\"#" + xRightColor + "\"></td>";
         }
      else
         xResult += "<td width=\"100%\" bgcolor=\"#" + xRightColor + "\" height=\"" + xBarHeight + "\" colspan=\"2\"></td>";

      xResult += "</tr>";
      xResult += "</table>";

      return xResult;
   }

